On 2018-02-23 18:03 +0100, Sven Joachim wrote:

> With the upcoming libncursesw6 package (which is not available yet, but
> everything is ready in git and I have asked for an upload to
> experimental), aptitude FTBFS.  From the build log:
>
> ,----
> | g++ -I/usr/include/sigc++-2.0
> | -I/usr/lib/i386-linux-gnu/sigc++-2.0/include
> | -I/usr/lib/i386-linux-gnu/cwidget -I/usr/include/sigc++-2.0
> | -I/usr/lib/i386-linux-gnu/sigc++-2.0/include -g -O2
> | -fdebug-prefix-map=/usr/local/src/deb-src/aptitude/aptitude-0.8.10=. 
> -fstack-protector-strong
> | -Wformat -Werror=format-security -D_REENTRANT -Wall
> | -L/usr/lib/i386-linux-gnu -Wl,-z,relro -Wl,-z,now -o aptitude main.o
> | desc_render.o apt_config_treeitems.o apt_config_widgets.o
> | apt_info_tree.o apt_options.o apt_undo_tree.o broken_indicator.o
> | defaults.o dep_item.o download_item.o download_list.o
> | download_thread.o load_config.o load_grouppolicy.o load_pkgview.o
> | load_sortpolicy.o loggers.o menu_redirect.o menu_text_layout.o
> | menu_tree.o pkg_columnizer.o pkg_info_screen.o pkg_item.o
> | pkg_grouppolicy.o pkg_sortpolicy.o pkg_node.o pkg_subtree.o
> | pkg_tree.o pkg_ver_item.o pkg_view.o progress.o reason_fragment.o
> | solution_dialog.o solution_fragment.o solution_item.o
> | solution_screen.o trust.o ui.o ui_download_manager.o
> | view_changelog.o cmdline/libcmdline.a mine/libcmine.a
> | generic/apt/libgeneric-apt.a generic/util/libgeneric-util.a
> | generic/apt/matching/libgeneric-matching.a
> | generic/controllers/libgeneric-controllers.a
> | generic/problemresolver/libgeneric-problemresolver.a
> | generic/views/libgeneric-views.a -lapt-pkg -lncursesw -lsigc-2.0
> | -lcwidget -lncursesw -lsigc-2.0 -lsqlite3 -lboost_iostreams
> | -lboost_filesystem -lboost_system -L/usr/lib/i386-linux-gnu -lxapian
> | -lpthread
> | /usr/bin/ld: warning: libncursesw.so.5, needed by
> | /usr/lib/i386-linux-gnu/libcwidget.so, may conflict with
> | libncursesw.so.6
> | /usr/bin/ld: warning: libncursesw.so.5, needed by
> | /usr/lib/i386-linux-gnu/libcwidget.so, may conflict with
> | libncursesw.so.6
> | /usr/bin/ld: warning: libtinfo.so.5, needed by 
> /usr/lib/i386-linux-gnu/libcwidget.so, may conflict with libtinfo.so.6
> | /usr/bin/ld: warning: libtinfo.so.5, needed by 
> /usr/lib/i386-linux-gnu/libcwidget.so, may conflict with libtinfo.so.6
> | 
> apt_config_widgets.o:(.data.rel.ro._ZTCN7cwidget7widgets11checkbuttonE0_NS0_6widgetE[_ZTVN7cwidget7widgets11checkbuttonE]+0x20):
> | undefined reference to
> | `cwidget::widgets::widget::dispatch_mouse(short, int, int, int,
> | unsigned int)'
> `----
>
> Then more undefined references to
> cwidget::widgets::widget::dispatch_mouse follow.  See the attached build
> log for more details.

I suspect this happened because of the type change of mmask_t mentioned
in #891161.

> It will almost certainly be necessary, and hopefully sufficient, to get
> cwidget fixed and rebuilt against libncursesw6 first (see #891161).

Indeed, rebuilding aptitude against the new cwidget library worked.  And
I am very pleased to report that scrolling through the package lists in
aptitude with the mouse wheel (see #455585) also works now! :-)

Cheers,
       Sven

_______________________________________________
Aptitude-devel mailing list
Aptitude-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/aptitude-devel

Reply via email to